Subject: Re: [bug#33846] [PATCH] gnu: ruby: Remove versions 1.8, 2.1 and 2.2.

From: Alex Vong <[email-masked]>
Date: Wed, 26 Dec 2018 01:59:38 +0800

Pjotr Prins <[email-masked]> writes:

> On Sun, Dec 23, 2018 at 05:39:09PM +0800, Alex Vong wrote:
>> Hello,
>> 
>> This patch removes all ruby versions which have reached EOL since they
>> no longer receive official security updates.
>> 
>> However, please do complain if you need to use one of these
>> versions. IMO, it is better to have a central place for them to receive
>> (unofficial) security updates (e.g. Debian will support ruby 2.1 until
>> 2020), than to roll your own security updates (which is error-prone and
>> duplicate effort).
>> 
>
> Thanks Alex,
>
> No objection. Note that we now have the channel mechanism to suport
> older versions of software we don't need to maintain older versions
> inside GNU Guix if there are no down stream dependencies.
>
OK. I have found that there is a guix-chromium channel. So I think I
understand what you mean now.

> Pj.

Thanks,
Alex